curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/production-items/{productionItemId}/bills-of-materials \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/production-items/{productionItemId}/bills-of-materials"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/production-items/{productionItemId}/bills-of-materials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"productionItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"version": 123,
"name": "<string>",
"state": 0,
"createDate": "2023-11-07T05:31:56Z",
"producibleStock": 123,
"componentPostingsShelfLifeEndDateRequirements": 0,
"componentPostingsBatchNumberRequirements": 0,
"description": "<string>",
"updateDate": "2023-11-07T05:31:56Z",
"updateUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"activationDate": "2023-11-07T05:31:56Z",
"producibleStockCalculationDate": "2023-11-07T05:31:56Z",
"shelfLifeEndDateGenerationMode": 0,
"additionalShelfLifeEndDateTime": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}Retrieves all bills of materials for a given production item.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
The ID of a production item. Der Schlüssel eines Produktionsartikels.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Only include items whose CreateDate is after (greater than) this value.
Only include items whose CreateDate is before (less than) this value.
Only include items whose UpdateDate is after (greater than) this value.
Only include items whose UpdateDate is before (less than) this value.
Only include items whose ActivationDate is after (greater than) this value.
Only include items whose ActivationDate is before (less than) this value.
Only include items whose ProducibleStockCalculationDate is after (greater than) this value.
Only include items whose ProducibleStockCalculationDate is before (less than) this value.
Was this page helpful?